Hulp bij je webhostingpakket of domeinnaam?

Handleidingen, tips, premium diensten of vraag één van onze experts.

Wat kan ik met de PHP-selector in DirectAdmin?

Het is bij Antagonist mogelijk om zelf te kiezen welke PHP-versie je gebruikt. Ook heb je de volledige vrijheid om te bepalen welke PHP-modules je specifiek niet of wel wilt activeren.

Voordat je van PHP-versie verandert, is het belangrijk om te controleren of jouw website of applicatie wel ondersteuning biedt voor het gebruik van de gekozen PHP-versie.

De PHP-selector helpt je hierbij. Met deze functionaliteit binnen DirectAdmin kun je heen en weer tussen PHP-versies schakelen. Bijvoorbeeld, om te testen of bepaalde onderdelen van jouw website goed met een bepaalde PHP-versie werken.

PHP-versie wijzigen

1. Log in op DirectAdmin.

2. Klik op de optie 'Select PHP version' (onder de categorie 'Advanced Features').

Klik op de optie 'Select PHP version' (onder de categorie 'Advanced Features').

3. Achter 'PHP Version' kun je de gewenste PHP-versie selecteren.

4. Klik vervolgens op 'Set as current' en daarna op 'Save'.

Klik op 'Set as current' en daarna op 'Save'.

5. Je hebt nu de PHP-versie aangepast. Op dezelfde manier kun je altijd weer naar een andere versie terugschakelen.

PHP-modules (de)activeren

Het is mogelijk om verschillende PHP-modules te activeren. Dit doe je door een vinkje te zetten achter de modules die je wilt activeren en op 'Save' te klikken. Terug naar de standaardwaarden? Klik dan op 'Use Defaults' en daarna op 'Save'.

Per PHP-versie moeten de modules apart geactiveerd worden.

Per PHP-versie moeten de modules apart worden geactiveerd. Wissel je dus van PHP-versie, dan zul je modules die je eerder handmatig geactiveerd had opnieuw moeten selecteren.

PHP memory_limit wijzigen

De waarde bij memory_limit geeft aan hoeveel geheugen elk apart PHP-script maximaal mag gebruiken op je hostingpakket. Deze waarde staat standaard op 96M en kun je waar wenselijk via de PHP-selector aanpassen.

1. Klik in de PHP-selector rechts bovenaan op 'Show PHP Settings'.

Klik op 'Show PHP Settings'.

2. Klik op de waarde achter 'memory_limit' en selecteer daar de gewenste nieuwe limiet.

Klik op de waarde achter 'memory_limit', selecteer daar de gewenste nieuwe limiet, klik op 'Apply' en op 'Save' om de wijziging op te slaan.

3. Klik daarna op 'Apply' en dan onderaan op 'Save' om de wijziging op te slaan.

De upload_max_filesize wijzigen

De waarde bij upload_max_filesize geeft aan wat de maximale grootte mag zijn van bestanden die middels een PHP-script worden geĆ¼pload. Het komt soms voor dat de waarde voor het uploaden middels een PHP-script wordt overschreven. Deze waarde staat standaard op 32M, maar kan worden opgehoogd worden via de PHP-selector.

1. Klik rechts bovenaan in de PHP-selector op de knop 'Show PHP Settings'.

Klik rechts bovenaan in de PHP-selector op de knop 'Show PHP Settings'.

2. Klik op de waarde achter 'upload_max_filesize', selecteer de gewenste limiet en klik op 'Apply'.

Klik op de waarde achter 'upload_max_filesize', selecteer de gewenste limiet, klik op 'Apply' en 'Save' om de wijziging op te slaan.

3. Als je de waarde hebt aangepast, dan klik je onderaan op 'Save' om de wijziging op te slaan.

De max_execution_time wijzigen

De max_execution_time bepaalt hoeveel seconden een script maximaal mag draaien, voordat het wordt afgebroken. Dit helpt voorkomen dat bijvoorbeeld een slecht geschreven script onnodig lang voor belasting blijft zorgen. Deze waarde staat standaard op 30, maar kan worden aangepast.

1. Klik rechts bovenaan in de PHP-selector op de knop 'Show PHP Settings'.

Klik rechts bovenaan in de PHP-selector op de knop 'Show PHP Settings'.

2. Klik op de waarde achter 'max_execution_time', selecteer de gewenste limiet en klik op 'Apply'.

Klik op de waarde achter 'max_execution_time', selecteer de gewenste limiet, klik op 'Apply' en 'Save' om de wijziging op te slaan.

3. Als je de waarde hebt aangepast, dan klik je onderaan op 'Save' om de wijziging op te slaan.

De max_input_vars wijzigen

De waarde bij max_input_vars bepaalt hoeveel invoervariabelen er maximaal worden geaccepteerd. Het limiteren hiervan helpt de kans op een bepaald type DDoS-aanval te verminderen. Deze waarde staat standaard op 1000, maar kan worden aangepast. Bijvoorbeeld sommige WordPress-thema's vereisen een hogere waarde.

1. Klik rechts bovenaan in de PHP-selector op de knop 'Show PHP Settings'.

Klik rechts bovenaan in de PHP-selector op de knop 'Show PHP Settings'.

2. Klik op de waarde achter 'max_input_vars', selecteer de gewenste limiet en klik op 'Apply'.

Klik op de waarde achter 'max_input_vars', selecteer de gewenste limiet, klik op 'Apply' en 'Save' om de wijziging op te slaan.

3. Als je de waarde hebt aangepast, dan klik je onderaan op 'Save' om de wijziging op te slaan.

 
Geen cookies